Giter Site home page Giter Site logo

jtimesched's Introduction

jTimeSched

jTimeSched is a simple and lightweight time tracking tool. You can track elapsed time for tasks and projects and use the data for the recording of time worked.

One aim of jTimeSched is a lean but extremely intuitive GUI and providing only really necessary functionality.

For a complete list of features please see the project website.

Download binary release

If you don't want to build the application yourself, you can download and run one of the binary releases containing platform launchers for Linux and Windows.

Documentation

The user manual can be found at the project website:

Building from source

jTimeSched can be built using ant:

$ ant

Build variables (build.xml)

  • version - Application version string written to Manifest and used in the application
  • build - Build directory
  • dist - Directory used for generating a release package

You can override the defaults providing the -D option to ant, e.g. $ ant -Dversion=my-1.5

Example: Build release package with version string "my-1.5"

$ ant -Dversion=1.0

Build targets (build.xml)

  • compile
    Just compile the sources. jTimeSched requires to access certain assets and searches for them in JAR-file, if present, or uses them from a directory with name data
  • data
    Copy assets to the build directory. You can run jTimeSched using java -cp $[build} de.dominik_geyer.jtimesched.JTimeSchedApp
  • jar
    Pack all class files and assets into one single JAR-file, which will be stored at ${dist}/jTimeSched.jar. Run it with java -jar ${dist}/jTimeSched.jar
  • zip
    Create a release packages with all platform launchers. The archive will be stored in ${dist}/jTimeSched-${version}.zip
  • clean
    Clean-up everything

Example: Just compile the sources

$ ant compile

Eclipse project

The repository provides a basic Eclipse project. You may use the Import-wizard of Eclipse.

jtimesched's People

Contributors

datag avatar

Stargazers

 avatar  avatar  avatar  avatar  avatar  avatar  avatar  avatar

Watchers

 avatar

jtimesched's Issues

In some cases the wrong project is started

It seems that when resorting the table with an already running project in combination with a start of a other project with key-shortcut SPACE the wrong project is started. May not be reproducible every time.

shell script cannot find jarfile

I added the shell-script as a launcher, like /bin/sh "/some/path/jTimeSched.sh", but it didn't run. Calling the shell-script from shell I got this error: "Unable to access jarfile ./jTimeSched.jar". To locate the jarfile it uses current working directory, instead of the directory where the script is. This worked for me:

#!/bin/sh

if [ -n "$JAVA_HOME" ]; then
    JAVA=$JAVA_HOME/bin/java    # use $JAVA_HOME if set
else
    JAVA=java       # java binary within the current PATH
fi

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR  # without this it saved projects to home dir.

if ! $JAVA -jar "$DIR/jTimeSched.jar" "$@"; then
    echo "Error executing Java binary." >&2
    exit 1
fi

(SUSE 11.4 with Gnome)

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    ๐Ÿ–– Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. ๐Ÿ“Š๐Ÿ“ˆ๐ŸŽ‰

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google โค๏ธ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.